Package es.imim.DISGENET.database

# Interface Database

All Superinterfaces:
  `Remote`, `Serializable`

All Known Implementing Classes:
  `DatabaseImpl`

public interface Database extends Remote, Serializable

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getAssociatedGenesToVariants(List<String> genes)`
`HashMap<String,HashMap<String,String>>`
`getDiseaseAttributes(GuiParameters curParams)`
`ArrayList<String>`
`getDiseaseList(GuiParameters curParams)`
`ArrayList<String>`
`getDiseaseListVariant(GuiParameters params)`
`HashMap<String,ArrayList<String>>`
`getDiseaseProjectionBySrc(GuiParameters curParams)`
`ArrayList<String>`
`getDiseasesAssociatedToGenes(GuiParameters curParams)`
`HashMap<String,HashMap<String,String>>`
`getGeneAttributes(GuiParameters curParams)`
`HashMap<String,ArrayList<String>>`
`getGeneDiseaseNetworkBySrc(GuiParameters curParams)`
`String`
`getGeneId(String geneName)`
`ArrayList<String>`
`getGeneIdList(GuiParameters params)`
`ArrayList<String>`
`getGeneList(GuiParameters curParams)`
`ArrayList<String>`
`getGeneListVariant(GuiParameters params)`
`HashMap<String,ArrayList<String>>`
`getGeneProjectionBySrc(GuiParameters curParams)`
`HashMap<String,ArrayList<String>>`
`getVariantDiseaseNetworkBySrc(GuiParameters curParams)`
`ArrayList<String>`
`getVariantList(GuiParameters curParams)`

## Method Details

### getGeneId

String getGeneId(String geneName)

### getGeneAttributes

HashMap<String,HashMap<String,String>> getGeneAttributes(GuiParameters curParams) throws DisGeNetException

Throws:
  `DisGeNetException`

### getGeneProjectionBySrc

HashMap<String,ArrayList<String>> getGeneProjectionBySrc(GuiParameters curParams)

### getGeneList

ArrayList<String> getGeneList(GuiParameters curParams)

### getVariantList

ArrayList<String> getVariantList(GuiParameters curParams)

### getDiseaseAttributes

HashMap<String,HashMap<String,String>> getDiseaseAttributes(GuiParameters curParams) throws DisGeNetException

Throws:
  `DisGeNetException`

### getDiseaseProjectionBySrc

HashMap<String,ArrayList<String>> getDiseaseProjectionBySrc(GuiParameters curParams)

### getDiseaseList

ArrayList<String> getDiseaseList(GuiParameters curParams)

### getGeneDiseaseNetworkBySrc

HashMap<String,ArrayList<String>> getGeneDiseaseNetworkBySrc(GuiParameters curParams) throws DisGeNetException

Throws:
  `DisGeNetException`

### getGeneIdList

ArrayList<String> getGeneIdList(GuiParameters params)

### getDiseaseListVariant

ArrayList<String> getDiseaseListVariant(GuiParameters params)

### getGeneListVariant

ArrayList<String> getGeneListVariant(GuiParameters params)

### getVariantDiseaseNetworkBySrc

HashMap<String,ArrayList<String>> getVariantDiseaseNetworkBySrc(GuiParameters curParams) throws DisGeNetException

Throws:
  `DisGeNetException`

### getAssociatedGenesToVariants

Map<String,String> getAssociatedGenesToVariants(List<String> genes) throws SQLException

Throws:
  `SQLException`

### getDiseasesAssociatedToGenes

ArrayList<String> getDiseasesAssociatedToGenes(GuiParameters curParams)